Subject: Re: [PATCH] Support ent:relative_path

From: Jakub Narebski <[email-masked]>
Date: Sat, 05 May 2007 01:36:21 +0200

Junio C Hamano wrote:

> (soon after 1.5.2)
> 
>  - start accepting "<something>:./<path>" as "relative to where I am".
>  - start accepting "<something>:?<string>" as "look back to find
>    the string".
>  - clearly explain the plan and prepare the users.
> 
> (a big release in the future, perhaps 1.6.0)
> 
>  - "<something>:<path>" becomes relative to where you are.
>  - stop "<something>:/<string>" and start "<something>:/<fullpath>".

I'm not sure about "<tree-ish>:<path>" with <path> being relative by
default. For me it is <path> in <tree-ish> (like in 
"git-ls-tree -r <tree-ish>" result).

The "<tree-ish>:./<path>" is a good syntax I think.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git